export default class ScriptPublisher {
    private readonly cssClient;
    private existingScriptId;
    private readonly scriptName;
    private readonly scriptPath;
    constructor(scriptName: string, scriptPath: string);
    hasExistingInstance(): Promise<boolean>;
    publish(packagePath: string): Promise<void>;
    syncPackages(scriptId: string, packagePath: string): Promise<void>;
    private getExistingScriptId;
    private syncRunSpecs;
    private transformEnvVars;
}
